poky-tiny: set 5.0 as the preferred kernel

Submitted by Bruce Ashfield on April 9, 2019, 3:39 p.m. | Patch ID: 160295

Details

Message ID 20190409153924.26811-1-bruce.ashfield@gmail.com
State New
Headers show

Commit Message

Bruce Ashfield April 9, 2019, 3:39 p.m.
From: Bruce Ashfield <bruce.ashfield@gmail.com>

Updating poky-tiny to prefer 5.0 as the kernel version. Boot
tested against qemux86 and qemuarm. This removes the last user
of the 4.18 kernel, so we can queue it for removal from master.

Signed-off-by: Bruce Ashfield <bruce.ashfield@gmail.com>
---
 meta-poky/conf/distro/poky-tiny.conf | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

Patch hide | download patch | download mbox

diff --git a/meta-poky/conf/distro/poky-tiny.conf b/meta-poky/conf/distro/poky-tiny.conf
index 690cb0d5c9..243d492918 100644
--- a/meta-poky/conf/distro/poky-tiny.conf
+++ b/meta-poky/conf/distro/poky-tiny.conf
@@ -38,7 +38,7 @@  TCLIBC = "musl"
 # Distro config is evaluated after the machine config, so we have to explicitly
 # set the kernel provider to override a machine config.
 PREFERRED_PROVIDER_virtual/kernel = "linux-yocto-tiny"
-PREFERRED_VERSION_linux-yocto-tiny ?= "4.18%"
+PREFERRED_VERSION_linux-yocto-tiny ?= "5.0%"
 
 # We can use packagegroup-core-boot, but in the future we may need a new packagegroup-core-tiny
 #POKY_DEFAULT_EXTRA_RDEPENDS += "packagegroup-core-boot"

Comments

Armin Kuster April 10, 2019, 12:07 a.m.
On 4/9/19 9:09 PM, bruce.ashfield@gmail.com wrote:
> From: Bruce Ashfield <bruce.ashfield@gmail.com>
>
> Updating poky-tiny to prefer 5.0 as the kernel version. Boot
> tested against qemux86 and qemuarm. This removes the last user
> of the 4.18 kernel, so we can queue it for removal from master.
Thanks Bruce.

- Armin
>
> Signed-off-by: Bruce Ashfield <bruce.ashfield@gmail.com>
> ---
>  meta-poky/conf/distro/poky-tiny.conf | 2 +-
>  1 file changed, 1 insertion(+), 1 deletion(-)
>
> diff --git a/meta-poky/conf/distro/poky-tiny.conf b/meta-poky/conf/distro/poky-tiny.conf
> index 690cb0d5c9..243d492918 100644
> --- a/meta-poky/conf/distro/poky-tiny.conf
> +++ b/meta-poky/conf/distro/poky-tiny.conf
> @@ -38,7 +38,7 @@ TCLIBC = "musl"
>  # Distro config is evaluated after the machine config, so we have to explicitly
>  # set the kernel provider to override a machine config.
>  PREFERRED_PROVIDER_virtual/kernel = "linux-yocto-tiny"
> -PREFERRED_VERSION_linux-yocto-tiny ?= "4.18%"
> +PREFERRED_VERSION_linux-yocto-tiny ?= "5.0%"
>  
>  # We can use packagegroup-core-boot, but in the future we may need a new packagegroup-core-tiny
>  #POKY_DEFAULT_EXTRA_RDEPENDS += "packagegroup-core-boot"